<h1>บิลทั้งหมด</h1>
<table class="table">
  <thead>
    <tr>
      <th>ชนิด</th>
      <th>รอบ</th>
      <th>ยอดทั้งหมด</th>
      <th>ยอดคนถูก</th>
      <th>ส่วนลด</th>
      <th></th>
    </tr>
  </thead>

  <tbody>
    <% @bills.each do |bill| %>
      <tr>
        <td><%= bill.lottery_id %></td>
        <td><%= LotteryTime.set_lot_round(bill.lottery_id, bill.try(:round)) %></td>
        <td><%= bill.total %></td>
        <td><%= bill.amount_won %></td>
        <td><%= bill.discount %></td>
        <td><%= link_to '#รายละเอียด', '#', id: 'bill_description', onclick: "add_event(#{bill.id})"%></td>
      </tr>
    <% end %>
  </tbody>
</table>

<% @bills.each do |bill| %>
  <div class="modal fade modal_<%=bill.id%>" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel">
    <div class="modal-dialog modal-ld" role="document">
      <div class="modal-content">
        <table class="table">
          <thead>
            <tr>
              <th>เลข</th>
              <th>ตำแหน่ง</th>
              <th>ราคา</th>
              <th>สถานะ</th>
              <th>รางวัล</th>
              <th>ส่วนลด</th>
              <th></th>
            </tr>
          </thead>

          <tbody>
            <% bill.lotteries.each do |lottery| %>
              <tr>
                <td><%= lottery.datum %></td>
                <td>
                  <%= 'บน' if lottery.position == "1" %>
                  <%= 'ล่าง' if lottery.position == "2" %>
                  <%= 'ตรง' if lottery.position == "4" %>
                  <%= 'โต๊ด' if lottery.position == "5" %>
                </td>
                <td><%= lottery.price %></td>
                <td>

                  <% if lottery.status == 'won' %>
                    <span class="label label-success">ถูกรางวัล</span>
                  <% elsif lottery.status == 'lose' %>
                    <span class="label label-danger">ไม่ถูกรางวัล</span>
                  <% else %>
                    <span class="label label-warning">รอออกรางวัล</span>
                  <% end %>
                </td>
                <td><%= lottery.won_amount %></td>
                <td><%= lottery.discount %></td>

              </tr>
            <% end %>
            <tr>
              <th>รวม</th>
              <td></td>
              <th><%= bill.try(:total)%></th>
              <td></td>
              <th><%= bill.try(:amount_won) %></th>
              <th><%= bill.try(:discount) %></th>
              <td></td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
<% end %>

<%= will_paginate @bills, renderer: BootstrapPagination::Rails %>

<script type="text/javascript">
  function add_event(param) {
    event.preventDefault();
    $('.modal_'+param ).modal('show')
  }
</script>